%global commit e031266f0e936ca3ad57b7a676801f2fd79994c1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global orgname org.kde.Tok

%global kf5_min_version 5.91.0
%global tdlib_ver 1.7.0

Name:           tok
Version:        0.0.1+git.20220323.%{shortcommit}
Release:        1%{dist}
License:        GPLv3+
Summary:        Telegram client
Url:            https://invent.kde.org/network/tok
Source0:        https://invent.kde.org/network/%{name}/-/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

Patch0:         singlewindow.patch

BuildRequires:  gcc-c++
BuildRequires:  qbs
BuildRequires:  qt5-qtbase-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  extra-cmake-modules         >= %{kf5_min_version}
BuildRequires:  kf5-rpm-macros              >= %{kf5_min_version}


BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(KF5DBusAddons)         >= %{kf5_min_version}
BuildRequires:  cmake(KF5Kirigami2)          >= %{kf5_min_version}
BuildRequires:  cmake(KF5I18n)               >= %{kf5_min_version}
BuildRequires:  cmake(KF5Notifications)      >= %{kf5_min_version}
BuildRequires:  cmake(KF5ConfigWidgets)      >= %{kf5_min_version}
BuildRequires:  cmake(KF5WindowSystem)       >= %{kf5_min_version}
BuildRequires:  cmake(KF5SyntaxHighlighting) >= %{kf5_min_version}


BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtbase-static

BuildRequires:  cmake(Td) >= %{tdlib_ver}
BuildRequires:  tdlib-static >= %{tdlib_ver}
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  cmake(rlottie)
BuildRequires:  jq

Requires:       kirigami2

%description
Telegram client on Kirigami.

%prep
%autosetup -n %{name}-%{commit} -p1

%build
qbs resolve qbs.installPrefix:%{_prefix}
qbs

%install
qbs install --install-root %{buildroot}

%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/%{orgname}.desktop

%files
%{_kf5_bindir}/%{orgname}
%{_kf5_datadir}/applications/%{orgname}.desktop
%{_kf5_datadir}/icons/hicolor/scalable/apps/%{orgname}.svg
%{_kf5_datadir}/knotifications5/%{orgname}.notifyrc


%changelog  
* Wed Mar 23 2022 Onuralp Sezer <thunderbirdtr@fedoraproject.org> - 0.0.1+git.20220323.e031266-1
- Version git-e031266

* Sat Feb 26 2022 Onuralp Sezer <thunderbirdtr@fedoraproject.org> - 0.0.1+git.20220226.a4027d0-1
- Version git-a4027d0

* Thu Feb 24 2022 Onuralp Sezer <thunderbirdtr@fedoraproject.org> - 0.0.1+git.20220224.567a2af-2
- check section added.

* Thu Feb 24 2022 Onuralp Sezer <thunderbirdtr@fedoraproject.org> - 0.0.1+git.20220224.567a2af-1
- Initial build Tok
